Subject: Re: [PATCH v10 00/20] dlb: introduce DLB device driver

From: Greg KH <[email-masked]>
Date: Wed, 10 Mar 2021 10:02:27 +0100

On Wed, Feb 10, 2021 at 11:54:03AM -0600, Mike Ximing Chen wrote:
> Intel DLB is an accelerator for the event-driven programming model of
> DPDK's Event Device Library[2]. The library is used in packet processing
> pipelines that arrange for multi-core scalability, dynamic load-balancing,
> and variety of packet distribution and synchronization schemes

The more that I look at this driver, the more I think this is a "run
around" the networking stack.  Why are you all adding kernel code to
support DPDK which is an out-of-kernel networking stack?  We can't
support that at all.

Why not just use the normal networking functionality instead of this
custom char-device-node-monstrosity?

What is missing from todays kernel networking code that requires this
run-around?

thanks,

greg k-h